POST
https://b-api.lbkrs.com/funds/admin/add-private-fundsAuthorization
Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.
Permission
The Broker ACCESS_TOKEN must be granted the permission above, or the call will be rejected.
Request body application/json
params
Child attributes
Currency code, e.g. USD.
Fund channel.
Upstream internal code.
Upstream internal code.
dealing_setting
subscription_setting
file_ids
highlight_type
Child attributes
highlights[].type
highlights[].content
edit_share_unit_setting
audit_frontend_resource
Responses
HTTP 200The request was processed successfully. data.id is the ID of the newly created private fund.Standard response envelope
codemessagedatadataobjectdata structurePrivate Fund ID. ID of the newly created private fund.
HTTP 400Bad request. Check the business error code in code and the error details in message.Standard response envelope
codemessagedatadataobjectdata structureNo nested fields
HTTP 401The user is not authenticated, or the login session has expired.Standard response envelope
codemessagedatadataobjectdata structureNo nested fields
HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.Standard response envelope
codemessagedatadataobjectdata structureNo nested fields
HTTP 408The request timed out. Check the business error code in code and the error details in message.Standard response envelope
codemessagedatadataobjectdata structureNo nested fields